## gnumach-dev-i386-gnu 20020421-1

=== Makefile ===
src=$(hurdroot)/usr/include

install:
	install -d $(PREFIX)/include/mach/i386
	ln -sf i386 $(PREFIX)/include/mach/machine
	cp -p $(src)/mach/message.h          $(PREFIX)/include/mach
	cp -p $(src)/mach/kern_return.h      $(PREFIX)/include/mach
	cp -p $(src)/mach/port.h             $(PREFIX)/include/mach
	cp -p $(src)/mach/boolean.h          $(PREFIX)/include/mach
	cp -p $(src)/mach/i386/vm_types.h    $(PREFIX)/include/mach/i386
	cp -p $(src)/mach/i386/kern_return.h $(PREFIX)/include/mach/i386
	cp -p $(src)/mach/i386/boolean.h     $(PREFIX)/include/mach/i386

=== debian/changelog ===
gnumach-dev-i386-gnu (20020421-1) unstable; urgency=low

  * Initial release.

 -- Santiago Vila <sanvila@debian.org>  Sat, 28 Dec 2002 17:42:14 +0100

=== debian/control ===
Source: gnumach-dev-i386-gnu
Section: devel
Priority: extra
Maintainer: Santiago Vila <sanvila@debian.org>
Standards-Version: 3.5.8
Build-Depends: gnumach-dev

Package: gnumach-dev-i386-gnu
Architecture: all
Conflicts: gcc-i386-gnu (<= 1.7-9)
Description: GNU Mach headers to build a cross-mig
 This package contains the GNU Mach headers required to build the
 GNU/Linux package mig-i386-gnu without the need to install GNU/Hurd in
 another partition. The headers are installed in /usr/i386-gnu/include.
 Do *not* install this package if /usr/i386-gnu/include is a symlink.
 This package is a build-dependency for the mig-i386-gnu package.

=== debian/rules ===
#!/usr/bin/make -f

package = gnumach-dev-i386-gnu
docdir = debian/tmp/usr/share/doc/$(package)

build:
	$(checkdir)
	touch build

clean:
	$(checkdir)
	rm -f build
	rm -f `find . -name "*~"`
	rm -rf debian/tmp debian/files* core debian/substvars

binary-indep: checkroot build
	$(checkdir)
	rm -rf debian/tmp
	install -d debian/tmp/DEBIAN $(docdir)
	$(MAKE) install PREFIX=`pwd`/debian/tmp/usr/i386-gnu
	cp -p debian/changelog $(docdir)/changelog.Debian
	cp -p debian/copyright $(docdir)
	gzip -9 $(docdir)/changelog.Debian
	dpkg-gencontrol -isp
	chown -R root.root debian/tmp
	chmod -R go=rX debian/tmp
	dpkg --build debian/tmp ..

binary-arch: checkroot build
	$(checkdir)

define checkdir
	test -f debian/rules
endef

binary: binary-indep binary-arch

checkroot:
	$(checkdir)
	test root = "`whoami`"

.PHONY: binary binary-arch binary-indep clean checkroot
